<template> 
    <v-breadcrumbs :items="breadcrumbs" :hidden="hidden"/>
</template>
  
  <script>
  import { computed } from 'vue'
  import { useRoute } from 'vue-router'
  import { VBreadcrumbs, VBreadcrumbsItem } from 'vuetify/lib/components/VBreadcrumbs'
  
  export default {
    components: { VBreadcrumbs, VBreadcrumbsItem },
    setup() {
      const route = useRoute()
  
      // Get the list of route segments
      const segments = computed(()=>( route.path.replace('dashboard', '')).split('/').filter(Boolean))

      const lastSegment = computed(() => segments.value[segments.value.length - 1])
      
      const hidden = computed(() => segments.value.includes('admin'))
  
      // Create an array of breadcrumb objects based on the route segments
      const breadcrumbs = computed(() => {

        let path = '/';

        let ret = [{
          text: 'Dashboard',
          disabled: false,
          to: '/'
        }];

        segments.value.forEach( (s, i) => {
          path += s + '/';
          let node ={
            text: s.charAt(0).toUpperCase() + s.slice(1),
            disabled: (i === segments.value.length - 1),
            to: path
          }
          ret.push(node)
        });
        return ret;
      })

  
      return { breadcrumbs,lastSegment, hidden }
    }
  }
  </script>
  